program hoja
  implicit none
  real(8) :: r(2) !koordinate vekotrja
  real(8) :: a, tpi, average, sum
  integer :: i, N !števec, ki šteje koliko korakov
  integer :: p, isim

  tpi = 2d0 * 4d0*atan(1d0)
  
  write(*,*) 'Koliko korakov? N='
  read(*,*) N
  write(*,*) 'Koliko ponovitev simulacije? p='
  read(*,*) p

  open(100, file='koordinata-moja.dat') !zapis koordinat
  open(200, file='razdalja-moja.dat') !zaporedni korak + oddaljenost od izhodisca
  open(300, file='povprecje.dat') !zaporedni korak + povprečna oddaljenost od izhodišča od vseh ponovitev

  !začetni pogoji
  r = 0d0
  
  write(100,*)r
  write(200,*) 0,0
  write(300,*) 0,0

  sum = 0d0

  do isim=1,p
     do i=1,N
        call random_number(a)
        r(1) = r(1) + cos(tpi*a) !prva koordinata
        r(2) = r(2) + sin(tpi*a) !druga koordinata
        write(100,*) r
        write(200,*) i, sqrt(r(1)**2 + r(2)**2)
        sum = sum + sqrt(r(1)**2 + r(2)**2)
        write(300,*) i, sum/dble(i)
     enddo     
  enddo
 


  close(100)
  close(200)
  close(300)

end program hoja

  
