#!/bin/bash

N=100

for rho in $(seq 0.1 0.025 1.0)
do
    echo "
* računam gostoto: $rho"
    cat > input <<EOF
$N
$rho
EOF
    ./kvadrat.x < input
    if test ! -f delci.dat; then
        exit
    fi

    mv delci.dat delci.rho$rho.dat
    mv box.dat   box.rho$rho.dat
done

